import os
from setuptools import setup, find_packages


with open("requirements.txt") as reqs:
    install_requires = reqs.readlines()


assets_dir = 'dojo_toolkit/assets'
data_files = [
    (assets_dir, [os.path.join(assets_dir, f) for f in os.listdir(assets_dir)]),
]

setup(
    name="dojo-toolkit",
    version="0.1.8",
    url="https://github.com/grupy-sanca/dojo-toolkit",

    author="Grupy-Sanca",

    description="A Toolkit for Python Coding Dojos",
    long_description=open('README.rst').read(),

    packages=find_packages(),

    install_requires=install_requires,

    data_files=data_files,

    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
    ],
)
